/*
 * display.c
 *
 *  Created on: 16.04.2016
 *      Author: dkassen
 */

#include "display.h"
#include "stdbool.h"
#include "i2clcd.h"
#include "properties.h"
#include "countdown.h"

//const char string_welcome_de[] PROGMEM = "Wilkommen! 123";
//const char string_welcome_en[] PROGMEM = "Welcome!";
//const char string_name_de[] PROGMEM = "DentaClear";

const char string_empty [] PROGMEM = "                ";//16
const char string_time_en[] PROGMEM = "TIME";//4
const char string_rpm_en[] PROGMEM = "Umin =       RMP";//16
const char string_time_sec[] PROGMEM = "SEC";//3
const char string_time_min[] PROGMEM = "MIN";//3

const char string_editMenu[] PROGMEM = 		"<<< PRG? >>>";//12


//const char string_start_de[] PROGMEM = "Starten      [ ]";
//const char string_config_de[] PROGMEM = "Einstellen   [ ]";

const char string_time[] PROGMEM = 			"Min:Sec";
const char string_duration_en[] PROGMEM = 	" Clean";
const char string_turn[] PROGMEM = 			" L <--> R";//13
const char string_VDC_en[] PROGMEM = 		"Input Voltage:";//14
const char string_Backlight_en[] PROGMEM = 	"Backlight";//9

const char string_timeRem_de[] PROGMEM = 	"Rest Zeit: ";//11

const char string_on_en[] PROGMEM = 		"ON";
const char string_off_en[] PROGMEM = 		"OFF";
const char string_allways_en[] PROGMEM = 	"ALLWAYS";

const char string_MotorDirectionL_de[]PROGMEM = "Linkslauf";//TODO replace
const char string_MotorDirectionR_de[]PROGMEM = "Rechtslauf";//TODO replace
const char* MotorDirectionNames_de[] = {"Linkslauf", "Rechtslauf"};//9;10


void displayWakeUp()
{
	count.sec.displaySleepAfter = BacklightSec;
	lcd_light(true);
}
