/*
 * properties.c
 *
 *  Created on: 16.04.2016
 *      Author: dkassen
 */

#include "properties.h"

uint8_t durationM = 2;
uint8_t turnTimeS = 60;
uint8_t clockMin = 0;
uint8_t clockSec = 0;
uint8_t clockSec_turn = 0;
uint8_t EEMEM NonVolatilerVDC = 24;
uint8_t EEMEM NonVolatilerBacklightSec = 65;
uint16_t EEMEM NonVolatilerRPMmax = 1600;
uint8_t EEMEM NonVolatilerDURATION = 15;
uint8_t EEMEM NonVolatilerTURNTIME = 30;

uint8_t drivePercent = 0;
uint8_t driveAbsolute = 0;

uint8_t VDC = 24;
uint8_t BacklightSec = 10;
uint16_t RPMmax = 1600;
uint16_t RPMabsolute = 0;

uint16_t getRPMforVDC(uint16_t rpm)
{
	uint8_t rpm2voltFactor = 60;
	if(RPMabsolute == 2000)
		rpm2voltFactor = 70;
	else if(RPMabsolute == 2400)
		rpm2voltFactor = 80;
	return ((uint32_t)rpm)*rpm2voltFactor/VDC/20;
}
uint8_t getPWMforRPM(uint16_t rpm)
{
	return (uint32_t)rpm*255/RPMmax;
}

uint16_t getRPMforProz(uint8_t proz)
{
	return ((uint32_t)RPMmax)*proz/100;
}

uint16_t display_sleep = 0;
uint8_t curserLine = 1;


